// ---=== Sky ===--
// q3map_sunExt <red> <green> <blue> <intensity> <degrees> <elevation> <deviance> <samples>
// intensity falls off with angle but not distance 100 is a fairly bright sun
// degree of 0 = from the east, 90 = north, etc.  altitude of 0 = sunrise/set, 90 = noon
// deviance: The number of degrees for the half-shadow. General values up to 2 or 3 are acceptable. 
// The real sun has a solid angle of about half a degree.
// samples: the number of random jitters distributed over the solid arc (~16).
// this sky must be compiled with Q3Map2 2.5.11 or later using -skyfix

textures/ut4_symbowl/sym1_sky1
{
	qer_editorimage env/ut4_symbowl/purplenebula_bk.tga
	
	skyparms env/ut4_symbowl/purplenebula 128 -
	
	q3map_sunEXT 1 1 1 200 0 90 1 16
//	q3map_lightRGB 0.7 0.8 1.0
	q3map_lightmapFilterRadius 0 8
	q3map_skyLight 310 3
	q3map_globaltexture
	q3map_lightsubdivide 256
	q3map_backsplash 0 0

	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight

	nopicmip
	nomipmaps

}

// ---=== FSK Signs ===---

textures/ut4_symbowl/sym1_hologo_b
{
	qer_editorimage textures/ut4_symbowl/fsk_holosign1/fsk_holosign_b1
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 10
	cull none

	{
		animMap 1.25 textures/ut4_symbowl/fsk_holosign1/fsk_holosign_b1.jpg textures/ut4_symbowl/fsk_holosign1/fsk_holosign_b1.jpg	textures/ut4_symbowl/fsk_holosign1/fsk_holosign_b2.jpg textures/ut4_symbowl/fsk_holosign1/fsk_holosign_b2.jpg textures/ut4_symbowl/fsk_holosign1/fsk_holosign_b2.jpg textures/ut4_symbowl/fsk_holosign1/fsk_holosign_b3.jpg textures/ut4_symbowl/fsk_holosign1/fsk_holosign_b7.jpg
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut4_symbowl/sym1_hologo_r
{
	qer_editorimage textures/ut4_symbowl/fsk_holosign1/fsk_holosign_r1
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 10
	cull none

	{
		animMap 1.25 textures/ut4_symbowl/fsk_holosign1/fsk_holosign_r1.jpg textures/ut4_symbowl/fsk_holosign1/fsk_holosign_r1.jpg textures/ut4_symbowl/fsk_holosign1/fsk_holosign_r2.jpg textures/ut4_symbowl/fsk_holosign1/fsk_holosign_r2.jpg textures/ut4_symbowl/fsk_holosign1/fsk_holosign_r2.jpg textures/ut4_symbowl/fsk_holosign1/fsk_holosign_r3.jpg textures/ut4_symbowl/fsk_holosign1/fsk_holosign_r7.jpg
		blendFunc GL_ONE GL_ONE
	}
}

// ---=== My Logo ===---

textures/ut4_symbowl/sym1_lhlogo
{
	qer_editorimage textures/ut4_symbowl/lh_logo.tga
	surfaceparm nonsolid
//	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	cull none
//	deformVertexes autosprite2
	q3map_surfacelight 900

	{
		map textures/ut4_symbowl/lh_logo.tga
		blendFunc blend
	}
}

// ---=== No Damage ===---

textures/ut4_symbowl/e5_crete_blue:q3map
{
	surfaceparm nodamage
}

textures/ut4_symbowl/e5_crete_red:q3map
{
	surfaceparm nodamage
}

textures/ut4_symbowl/e8crete01:q3map
{
	surfaceparm nodamage
}

textures/ut4_symbowl/mrtx_steelrst:q3map
{
	surfaceparm nodamage
}

// ---=== Glass ===---

textures/ut4_symbowl/sym1_glass_nd
{
	qer_editorimage textures/kittywumpus/kw_glass_nodam.tga
	qer_trans 0.9
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm trans
	cull none

	{
		map textures/ut4_symbowl/glass3.tga
		blendFunc add
		tcGen environment
	}
	{
		map textures/ut4_symbowl/cloudref5.jpg
		blendfunc add
		tcMod scale 2 2
		tcGen environment
	}
	{
		map $lightmap
		blendfunc GL_DST_COLOR GL_ZERO
	}
}

textures/ut4_symbowl/sym1_glass_ns
{
	qer_editorimage textures/kittywumpus/kw_glass_nodam.tga
	qer_trans 0.9
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
	cull none

	{
		map textures/ut4_symbowl/glass3.tga
		blendFunc add
		tcGen environment
	}
	{
		map textures/ut4_symbowl/cloudref5.jpg
		blendfunc add
		tcMod scale 2 2
		tcGen environment
	}
	{
		map $lightmap
		blendfunc GL_DST_COLOR GL_ZERO
	}
}

textures/ut4_symbowl/sym1_glass_slicknd
{
	qer_editorimage textures/kittywumpus/kw_glass_nodam_slick.tga
	qer_trans 0.9
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm slick
	surfaceparm trans
	cull none

	{
		map textures/ut4_symbowl/glass3.tga
		blendFunc add
		tcGen environment
	}
	{
		map textures/ut4_symbowl/cloudref5.jpg
		blendfunc add
		tcMod scale 2 2
		tcGen environment
	}
	{
		map $lightmap
		blendfunc GL_DST_COLOR GL_ZERO
	}
}

// ---=== Ladderclip ===---

textures/ut4_symbowl/sym1_ladderclip
{
	qer_editorimage textures/kittywumpus/kw_ladder.tga
	qer_trans 0.40
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm noimpact
	surfaceparm ladder
	surfaceparm trans
}

// ---=== Light Emitting Textures ===---


textures/ut4_symbowl/e6basicstrip_blue
{
	qer_editorimage textures/ut4_symbowl/e6basicstrip_blue.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodamage
	surfaceparm nonsolid
		
	{
		map textures/ut4_symbowl/e6basicstrip_blue.tga
	}
}

textures/ut4_symbowl/e6basicstrip_green
{
	qer_editorimage textures/ut4_symbowl/e6basicstrip_green.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodamage
//	surfaceparm nonsolid
		
	{
		map textures/ut4_symbowl/e6basicstrip_green.tga
	}
}

textures/ut4_symbowl/e6basicstrip_orange
{
	qer_editorimage textures/ut4_symbowl/e6basicstrip_orange.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodamage
	surfaceparm nonsolid
		
	{
		map textures/ut4_symbowl/e6basicstrip_orange.tga
	}
}

textures/ut4_symbowl/e6basicstrip_purple
{
	qer_editorimage textures/ut4_symbowl/e6basicstrip_purple.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodamage
	surfaceparm nonsolid
		
	{
		map textures/ut4_symbowl/e6basicstrip_purple.tga
	}
}

textures/ut4_symbowl/e6basicstrip_red
{
	qer_editorimage textures/ut4_symbowl/e6basicstrip_red.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodamage
	surfaceparm nonsolid
		
	{
		map textures/ut4_symbowl/e6basicstrip_red.tga
	}
}

textures/ut4_symbowl/e6basicstrip_white
{
	qer_editorimage textures/ut4_symbowl/e6basicstrip_white.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodamage
	surfaceparm nonsolid
		
	{
		map textures/ut4_symbowl/e6basicstrip_white.tga
	}
}

textures/ut4_symbowl/e6basicstrip_yellow
{
	qer_editorimage textures/ut4_symbowl/e6basicstrip_yellow.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodamage
//	surfaceparm nonsolid
		
	{
		map textures/ut4_symbowl/e6basicstrip_yellow.tga
	}
}

textures/ut4_symbowl/sym1_arrowprp
{
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	cull none
	polygonOffset
	nomipmaps
	nopicmip
	q3map_surfacelight 100
	qer_editorimage textures/ut4_symbowl/arrow_grad2.jpg
	{
		animMap 7 textures/ut4_symbowl/arrow_grad1.jpg textures/ut4_symbowl/arrow_grad4.jpg textures/ut4_symbowl/arrow_grad3.jpg textures/ut4_symbowl/arrow_grad2.jpg textures/ut4_symbowl/arrow_grad3.jpg textures/ut4_symbowl/arrow_grad4.jpg
		blendFunc GL_ONE GL_ONE
 	}
}

textures/ut4_symbowl/sym1_arrowgrn
{
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	cull none
	polygonOffset
	nomipmaps
	nopicmip
	q3map_surfacelight 100
	qer_editorimage textures/ut4_symbowl/arrow_ggrad2.jpg
	{
		animMap 7 textures/ut4_symbowl/arrow_grad1.jpg textures/ut4_symbowl/arrow_ggrad4.jpg textures/ut4_symbowl/arrow_ggrad3.jpg textures/ut4_symbowl/arrow_ggrad2.jpg textures/ut4_symbowl/arrow_ggrad3.jpg textures/ut4_symbowl/arrow_ggrad4.jpg
		blendFunc GL_ONE GL_ONE
 	}
}

textures/ut4_symbowl/sym1_arroworg
{
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	cull none
	polygonOffset
	nomipmaps
	nopicmip
	q3map_surfacelight 100
	qer_editorimage textures/ut4_symbowl/arrow_ograd2.jpg
	{
		animMap 7 textures/ut4_symbowl/arrow_grad1.jpg textures/ut4_symbowl/arrow_ograd4.jpg textures/ut4_symbowl/arrow_ograd3.jpg textures/ut4_symbowl/arrow_ograd2.jpg textures/ut4_symbowl/arrow_ograd3.jpg textures/ut4_symbowl/arrow_ograd4.jpg
		blendFunc GL_ONE GL_ONE
 	}
}

// ---=== Lighted Liquid Flag Pipes ===---

textures/ut4_symbowl/sym1_liqred
{
        surfaceparm alphashadow
	surfaceparm lightfilter
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nonsolid

	cull disable
	sort 6

	qer_nocarve
	qer_trans 0.6
	qer_editorimage textures/ut4_symbowl/ooze_red.tga
	q3map_surfacelight 200

	{
		map textures/ut4_symbowl/ooze_red.tga
		blendfunc gl_dst_color gl_zero
		tcMod scroll -0.025 -0.03
		alphafunc ge128
	}
	{
		map textures/ut4_symbowl/ooze_red_brt.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -0.16
		alphafunc ge128
	}
	{
		map textures/ut4_symbowl/ooze_red.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -0.25
		alphafunc ge128
	}
	{
		map textures/ut4_symbowl/ooze_red.tga
		blendfunc filter
		tcMod scroll 0 -1.0
		alphafunc ge128
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one
		depthfunc equal
	}
}

textures/ut4_symbowl/sym1_liqblue
{
        surfaceparm alphashadow
	surfaceparm lightfilter
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nonsolid

	cull disable
	sort 6

	qer_nocarve
	qer_trans 0.6
	qer_editorimage textures/ut4_symbowl/ooze_blue.tga
	q3map_surfacelight 200

	{
		map textures/ut4_symbowl/ooze_blue.tga
		blendfunc gl_dst_color gl_zero
		tcMod scroll -0.025 -0.03
		alphafunc ge128
	}
	{
		map textures/ut4_symbowl/ooze_blue_brt.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -0.16
		alphafunc ge128
	}
	{
		map textures/ut4_symbowl/ooze_blue.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -0.25
		alphafunc ge128
	}
	{
		map textures/ut4_symbowl/ooze_blue.tga
		blendfunc filter
		tcMod scroll 0 -1.0
		alphafunc ge128
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one
		depthfunc equal
	}
}

textures/ut4_symbowl/sym1_liqredwav
{
        surfaceparm alphashadow
	surfaceparm lightfilter
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nonsolid

	cull disable
	sort 6

	qer_nocarve
	qer_trans 0.6
	qer_editorimage textures/ut4_symbowl/ooze_red.tga
	q3map_surfacelight 200
	deformVertexes wave 16 sin 0 3 0 .3

	{
		map textures/ut4_symbowl/ooze_red.tga
		blendfunc gl_dst_color gl_zero
//		tcMod scroll -0.025 -0.03
		alphafunc ge128
	}
	{
		map textures/ut4_symbowl/ooze_red_brt.tga
		blendfunc gl_dst_color gl_one
//		tcMod scroll 0.025 -0.16
		alphafunc ge128
	}
	{
		map textures/ut4_symbowl/ooze_red.tga
		blendfunc gl_dst_color gl_one
//		tcMod scroll 0.025 -0.25
		alphafunc ge128
	}
	{
		map textures/ut4_symbowl/ooze_red.tga
		blendfunc filter
//		tcMod scroll 0 -1.0
		alphafunc ge128
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one
		depthfunc equal
	}
}

textures/ut4_symbowl/sym1_liqbluewav
{
        surfaceparm alphashadow
	surfaceparm lightfilter
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nonsolid

	cull disable
	sort 6

	qer_nocarve
	qer_trans 0.6
	qer_editorimage textures/ut4_symbowl/ooze_blue.tga
	q3map_surfacelight 200
	deformVertexes wave 16 sin 0 3 0 .3

	{
		map textures/ut4_symbowl/ooze_blue.tga
		blendfunc gl_dst_color gl_zero
//		tcMod scroll -0.025 -0.03
		alphafunc ge128
	}
	{
		map textures/ut4_symbowl/ooze_blue_brt.tga
		blendfunc gl_dst_color gl_one
//		tcMod scroll 0.025 -0.16
		alphafunc ge128
	}
	{
		map textures/ut4_symbowl/ooze_blue.tga
		blendfunc gl_dst_color gl_one
//		tcMod scroll 0.025 -0.25
		alphafunc ge128
	}
	{
		map textures/ut4_symbowl/ooze_blue.tga
		blendfunc filter
//		tcMod scroll 0 -1.0
		alphafunc ge128
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one
		depthfunc equal
	}
}
